      SUBROUTINE CYCHG(X,Y,YOLD)
      COMPLEX X(1),Y(1),YOLD
      COMPLEX ZERO,ONE
      DATA ZERO/(0.0,0.0)/, ONE/(1.0,0.0)/
      Y(1) = ZERO
      IF (YOLD .EQ. ZERO) Y(1) = ONE
      RETURN
      END
